SbTypedStorage< Type > Class Template Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SbTypedStorage< Type > Class Template Reference
Portable Threads Abstraction Classes

The SbTypedStorage class manages generic thread-local memory.This class manages thread-local memory. When different threads access the memory an SbTypedStorage object manages, they will receive different memory blocks back. More...

`#include <Inventor/threads/SbTypedStorage.h>`

## Public Member Functions
| SbTypedStorage (unsigned int size)
| SbTypedStorage (unsigned int size, void(*constr)(void *), void(*destr)(void *))
| ~SbTypedStorage (void)
Type | get (void)

## Detailed Description

### template<class Type>
class SbTypedStorage< Type >

The SbTypedStorage class manages generic thread-local memory.

This class manages thread-local memory. When different threads access the memory an SbTypedStorage object manages, they will receive different memory blocks back.

This provides a mechanism for sharing read/write static data.

## Constructor & Destructor Documentation

template<class Type >

SbTypedStorage< Type >::SbTypedStorage | ( | unsigned int | size | ) |
| inline

Constructor. size specifies the number of bytes each thread should have in this thread-local memory management object.

template<class Type >

SbTypedStorage< Type >::SbTypedStorage | ( | unsigned int | size,
|  | void(*)(void *) | constr,
|  | void(*)(void *) | destr
| ) |  |
| inline

Constructor. size specifies the number of bytes each thread should have in this thread-local memory management object. Constructor and a destructor functions can be specified that will be called when the actual memory blocks are allocated and freed.

template<class Type >

SbTypedStorage< Type >::~SbTypedStorage | ( | void |  | ) |
| inline

The destructor.

## Member Function Documentation

template<class Type >

Type SbTypedStorage< Type >::get | ( | void |  | ) |
| inline

This method returns the calling thread's thread-local memory block.

The documentation for this class was generated from the following files:

- SbTypedStorage.h
- storage.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.